Bug 1249645 (CVE-2015-5705)

Summary: CVE-2015-5705 devscripts: argument injection vulnerability
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: manisandro
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-15 10:34:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1249647    
Bug Blocks:    

Description Adam Mariš 2015-08-03 13:16:18 UTC
In scripts/licensecheck.pl, there is code segment vulnerable to argument injection.

my $mime = `file --brief --mime --dereference $file`;

Upstream patch:
https://anonscm.debian.org/cgit/collab-maint/devscripts.git/commit/?id=d8f8fa1d8e4151fa62997cb74403f97ab0d7e1a2

CVE assignment:
http://www.openwall.com/lists/oss-security/2015/08/01/7

Comment 1 Adam Mariš 2015-08-03 13:17:23 UTC
Created devscripts tracking bugs for this issue:

Affects: fedora-all [bug 1249647]

Comment 2 Fedora Update System 2015-08-12 07:04:17 UTC
devscripts-2.15.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-08-12 07:05:00 UTC
devscripts-2.15.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.